scala.xml

# PrettyPrinter

#### class PrettyPrinter extends AnyRef

Class for pretty printing. After instantiating, you can use the format() and formatNode() methods to convert XML to a formatted string. The class can be reused to pretty print any number of XML nodes.

Source
  PrettyPrinter.scala
Version

  1.0

Linear Supertypes
AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. PrettyPrinter
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by any2stringfmt
3. by any2ArrowAssoc
4. by any2Ensuring

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new PrettyPrinter(width: Int, step: Int)

   width

     the width to fit the output into

   step

     indentation

### Type Members

1. #### case class Box(col: Int, s: String) extends Item with Product with Serializable

2. #### class BrokenException extends java.lang.Exception

3. #### class Item extends AnyRef

4. #### case class Para(s: String) extends Item with Product with Serializable

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     Any

3. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types and `null`.

   Equivalent to `x.hashCode` except for boxed numeric types and `null`. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them. For `null` returns a hashcode where `null.hashCode` throws a `NullPointerException`.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any

4. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from PrettyPrinter to StringAdd performed by method any2stringadd in scala.Predef.
   Definition Classes
     StringAdd

5. #### def ->[B](y: B): (PrettyPrinter, B)

   Implicit information
     This member is added by an implicit conversion from PrettyPrinter to ArrowAssoc[PrettyPrinter] performed by method any2ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

6. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

7. #### final def ==(arg0: Any): Boolean

   Test two objects for equality.

   Test two objects for equality. The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

   returns

     `true` if the receiver object is equivalent to the argument; `false` otherwise.

   Definition Classes
     Any

8. #### object Break extends Item with Product with Serializable

9. #### final def asInstanceOf[T0]: T0

   Cast the receiver object to be of type `T0`.

   Cast the receiver object to be of type `T0`.

   Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

   returns

     the receiver object.

   Definition Classes
     Any
   Exceptions thrown
     ClassCastException

     if the receiver object is not an instance of the erasure of type `T0`.

10. #### def childrenAreLeaves(n: Node): Boolean

    Attributes
      protected

11. #### def clone(): AnyRef

    Create a copy of the receiver object.

    Create a copy of the receiver object.

    The default implementation of the `clone` method is platform dependent.

    returns

      a copy of the receiver object.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
    Note

      not specified by SLS as a member of AnyRef

12. #### var cur: Int

    Attributes
      protected

13. #### def cut(s: String, ind: Int): List[Item]

    Try to cut at whitespace.

    Try to cut at whitespace.

    Attributes
      protected

14. #### def endTag(n: Node): String

    Attributes
      protected

15. #### def ensuring(cond: (PrettyPrinter) ⇒ Boolean, msg: ⇒ Any): PrettyPrinter

    Implicit information
      This member is added by an implicit conversion from PrettyPrinter to Ensuring[PrettyPrinter] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

16. #### def ensuring(cond: (PrettyPrinter) ⇒ Boolean): PrettyPrinter

    Implicit information
      This member is added by an implicit conversion from PrettyPrinter to Ensuring[PrettyPrinter] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

17. #### def ensuring(cond: Boolean, msg: ⇒ Any): PrettyPrinter

    Implicit information
      This member is added by an implicit conversion from PrettyPrinter to Ensuring[PrettyPrinter] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

18. #### def ensuring(cond: Boolean): PrettyPrinter

    Implicit information
      This member is added by an implicit conversion from PrettyPrinter to Ensuring[PrettyPrinter] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

19. #### final def eq(arg0: AnyRef): Boolean

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

    - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
    - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
    - `null.eq(null)` returns `true`.

    When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

    returns

      `true` if the argument is a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

20. #### def equals(arg0: Any): Boolean

    The equality method for reference types.

    The equality method for reference types. Default implementation delegates to `eq`.

    See also `equals` in scala.Any.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      AnyRef → Any

21. #### def finalize(): Unit

    Called by the garbage collector on the receiver object when there are no more references to the object.

    Called by the garbage collector on the receiver object when there are no more references to the object.

    The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
    Note

      not specified by SLS as a member of AnyRef

22. #### def fits(test: String): Boolean

    Attributes
      protected

23. #### def format(n: Node, pscope: NamespaceBinding = null): String

    Returns a formatted string containing well-formed XML with given namespace to prefix mapping.

    Returns a formatted string containing well-formed XML with given namespace to prefix mapping.

    n

      the node to be serialized

    pscope

      the namespace to prefix mapping

    returns

      the formatted string

24. #### def format(n: Node, pscope: NamespaceBinding, sb: StringBuilder): Unit

25. #### def format(n: Node, sb: StringBuilder): Unit

    Appends a formatted string containing well-formed XML with given namespace to prefix mapping to the given string buffer.

    Appends a formatted string containing well-formed XML with given namespace to prefix mapping to the given string buffer.

    n

      the node to be serialized

    sb

      the stringbuffer to append to

26. #### def formatNodes(nodes: Seq[Node], pscope: NamespaceBinding, sb: StringBuilder): Unit

    Appends a formatted string containing well-formed XML with the given namespace to prefix mapping to the given stringbuffer.

    Appends a formatted string containing well-formed XML with the given namespace to prefix mapping to the given stringbuffer.

    nodes

      the nodes to be serialized

    pscope

      the namespace to prefix mapping

    sb

      the string buffer to which to append to

27. #### def formatNodes(nodes: Seq[Node], pscope: NamespaceBinding = null): String

    Returns a formatted string containing well-formed XML.

    Returns a formatted string containing well-formed XML.

    nodes

      the sequence of nodes to be serialized

    pscope

      the namespace to prefix mapping

28. #### def formatted(fmtstr: String): String

    Returns string formatted according to given `format` string.

    Returns string formatted according to given `format` string. Format strings are as for `String.format` (@see java.lang.String.format).

    Implicit information
      This member is added by an implicit conversion from PrettyPrinter to StringFormat performed by method any2stringfmt in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

29. #### final def getClass(): Class[_]

    A representation that corresponds to the dynamic class of the receiver object.

    A representation that corresponds to the dynamic class of the receiver object.

    The nature of the representation is platform dependent.

    returns

      a representation that corresponds to the dynamic class of the receiver object.

    Definition Classes
      AnyRef → Any
    Note

      not specified by SLS as a member of AnyRef

30. #### def hashCode(): Int

    The hashCode method for reference types.

    The hashCode method for reference types. See hashCode in scala.Any.

    returns

      the hash code value for this object.

    Definition Classes
      AnyRef → Any

31. #### final def isInstanceOf[T0]: Boolean

    Test whether the dynamic type of the receiver object is `T0`.

    Test whether the dynamic type of the receiver object is `T0`.

    Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

    returns

      `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

    Definition Classes
      Any

32. #### var items: List[Item]

    Attributes
      protected

33. #### def leafTag(n: Node): String

    Attributes
      protected

34. #### def makeBox(ind: Int, s: String): Unit

    Try to make indented box, if possible, else para.

    Try to make indented box, if possible, else para.

    Attributes
      protected

35. #### def makeBreak(): Unit

    Attributes
      protected

36. #### def makePara(ind: Int, s: String): Unit

    Attributes
      protected

37. #### final def ne(arg0: AnyRef): Boolean

    Equivalent to `!(this eq that)`.

    Equivalent to `!(this eq that)`.

    returns

      `true` if the argument is not a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

38. #### final def notify(): Unit

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

39. #### final def notifyAll(): Unit

    Wakes up all threads that are waiting on the receiver object's monitor.

    Wakes up all threads that are waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

40. #### def reset(): Unit

    Attributes
      protected

41. #### def startTag(n: Node, pscope: NamespaceBinding): (String, Int)

    Attributes
      protected

42. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

43. #### def toString(): String

    Creates a String representation of this object.

    Creates a String representation of this object. The default representation is platform dependent. On the java platform it is the concatenation of the class name, "@", and the object's hashcode in hexadecimal.

    returns

      a String representation of the object.

    Definition Classes
      AnyRef → Any

44. #### def traverse(it: Iterator[Node], scope: NamespaceBinding, ind: Int): Unit

    Attributes
      protected

45. #### def traverse(node: Node, pscope: NamespaceBinding, ind: Int): Unit

    Attributes
      protected

46. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

47. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

48. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

49. #### def →[B](y: B): (PrettyPrinter, B)

    Implicit information
      This member is added by an implicit conversion from PrettyPrinter to ArrowAssoc[PrettyPrinter] performed by method any2ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Shadowed Implicit Value Members

1. #### val self: Any

   Implicit information
     This member is added by an implicit conversion from PrettyPrinter to StringAdd performed by method any2stringadd in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (prettyPrinter: StringAdd).self

   Definition Classes
     StringAdd

2. #### val self: Any

   Implicit information
     This member is added by an implicit conversion from PrettyPrinter to StringFormat performed by method any2stringfmt in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (prettyPrinter: StringFormat).self

   Definition Classes
     StringFormat

### Deprecated Value Members

1. #### def x: PrettyPrinter

   Implicit information
     This member is added by an implicit conversion from PrettyPrinter to ArrowAssoc[PrettyPrinter] performed by method any2ArrowAssoc in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (prettyPrinter: ArrowAssoc[PrettyPrinter]).x

   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `leftOfArrow`instead``

2. #### def x: PrettyPrinter

   Implicit information
     This member is added by an implicit conversion from PrettyPrinter to Ensuring[PrettyPrinter] performed by method any2Ensuring in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (prettyPrinter: Ensuring[PrettyPrinter]).x

   Definition Classes
     Ensuring
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `resultOfEnsuring`instead``

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from PrettyPrinter to StringAdd

### Inherited by implicit conversion any2stringfmt from PrettyPrinter to StringFormat

### Inherited by implicit conversion any2ArrowAssoc from PrettyPrinter to ArrowAssoc[PrettyPrinter]

### Inherited by implicit conversion any2Ensuring from PrettyPrinter to Ensuring[PrettyPrinter]

### Ungrouped